summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLeho Kraav <leho@kraav.com>2016-06-29 00:25:33 +0300
committerYixun Lan <dlan@gentoo.org>2016-07-05 09:53:31 +0800
commit4cc9df36ff19e38b4850b30d74c0de2452b00d6d (patch)
tree46da830a313a44bb9215c381784b7bccbb37c4c0 /sys-power/thermald
parentsys-fs/eudev: update configure --prefix (diff)
downloadgentoo-4cc9df36ff19e38b4850b30d74c0de2452b00d6d.tar.gz
gentoo-4cc9df36ff19e38b4850b30d74c0de2452b00d6d.tar.bz2
gentoo-4cc9df36ff19e38b4850b30d74c0de2452b00d6d.zip
sys-power/thermald: version bump 1.5.3
Closes: https://github.com/gentoo/gentoo/pull/1791 Signed-off-by: Yixun Lan <dlan@gentoo.org>
Diffstat (limited to 'sys-power/thermald')
-rw-r--r--sys-power/thermald/Manifest1
-rw-r--r--sys-power/thermald/thermald-1.5.3.ebuild41
2 files changed, 42 insertions, 0 deletions
diff --git a/sys-power/thermald/Manifest b/sys-power/thermald/Manifest
index 0b96ef6ccb9..6ae3cff3643 100644
--- a/sys-power/thermald/Manifest
+++ b/sys-power/thermald/Manifest
@@ -1,2 +1,3 @@
DIST thermald-1.3.tar.gz 77733 SHA256 c85c2e3400456302ee754a747e17a99871e3ddf3f0f82273de9ff6935d893af2 SHA512 6f2087de52d0f8614de1002701efba748fef114ac2161c0fe3325d545da91386f89eab4c1e218aff4acc099351acd6db747cc401444db7283961df450d94a4e4 WHIRLPOOL bc2b772bea1a6fa46e2dbbbd91217f534c9a3be420de850ab06163ae9a36cd60e6d95862167e7e242110916946f265e9214738ea4c972c6c6b99c8e0be9aad3b
DIST thermald-1.4.2.tar.gz 89080 SHA256 4be5e1105f8b24af17d19357eda97b6edd3d74284c3ee762060d487158997f8b SHA512 373620679df7db242770ae2b5c6e2b9015cfb480539889c43b8f20f52faa139ea307985c8f7369daf14c41d987f7c5af4baecc9dd460ef63556ac982eb4bcd47 WHIRLPOOL 6abde17fc60f30dda58935663084e53cbc26ba8b59bc058b3b6f8fc03af538d6f2e363d578fcbbfb38a02bf3cda0856abcb361fb63fd2e5ce0bc2c63a4d42484
+DIST thermald-1.5.3.tar.gz 335067 SHA256 e20b450ef27a5b5e45474c831663c8f5ecd14c82ace5a4b1e06c442e0a23b53e SHA512 aab4ade4dc50985cd5d45bcce6ea9b75cce22504eb113c86b8733c8be88a701c8812b8b0f3202f084a8128d50ec794ebe1c73312c0a5a5fd1dbc87eedf02df16 WHIRLPOOL 9b48d92fd677c1b327173cac114dd4bc4dbf86c29cc8ab929841342c7e4f7bf651fc03aebb140cce633095230222fac8302931cee8ab2c943beb816e816d9ca0
diff --git a/sys-power/thermald/thermald-1.5.3.ebuild b/sys-power/thermald/thermald-1.5.3.ebuild
new file mode 100644
index 00000000000..de4ce55140e
--- /dev/null
+++ b/sys-power/thermald/thermald-1.5.3.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+AUTOTOOLS_AUTORECONF=1
+AUTOTOOLS_IN_SOURCE_BUILD=1
+inherit autotools-utils systemd
+
+DESCRIPTION="Thermal daemon for Intel architectures"
+HOMEPAGE="https://01.org/linux-thermal-daemon"
+SRC_URI="https://github.com/01org/thermal_daemon/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE=""
+S=${WORKDIR}/thermal_daemon-${PV}
+
+CDEPEND="dev-libs/dbus-glib
+ dev-libs/libxml2"
+DEPEND="${CDEPEND}
+ sys-apps/sed"
+RDEPEND="${CDEPEND}"
+
+DOCS=( thermal_daemon_usage.txt README.txt )
+
+src_configure() {
+ local myeconfargs=(
+ --with-systemdsystemunitdir=$(systemd_get_unitdir)
+ )
+ autotools-utils_src_configure
+}
+
+src_install() {
+ autotools-utils_src_install
+ rm -rf "${D}"/etc/init || die
+ doinitd "${FILESDIR}"/thermald
+}